// Copyright 2018 The Kubernetes Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package client

import (
	corev1 "k8s.io/api/core/v1"
	"k8s.io/client-go/rest"
)

// KubeletClientConfig represents configuration for connecting to Kubelets.
type KubeletClientConfig struct {
	Client              rest.Config
	AddressTypePriority []corev1.NodeAddressType
	Scheme              string
	DefaultPort         int
	UseNodeStatusPort   bool
}
